> For the complete documentation index, see [llms.txt](https://docs.alcor.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alcor.exchange/developers-api/api/markets-api.md).

# Markets API

Base data for all market are available on /markets endpoint.

{% embed url="<https://alcor.exchange/api/markets>" %}

{% hint style="info" %}
The api depends on the subdomain assigned to each chain.\
ie: wax.alcor.exchange/api/markets, telos.alcor.exchange/api/markets.
{% endhint %}

Each market has additional api for more information:

## markets

<mark style="color:blue;">`GET`</mark> `https://wax.alcor.exchange/api/markets/:id`

Get full market information

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | number | Market ID   |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": 0,
  "base_token": {
    "contract": "eosio.token",
    "symbol": {
      "name": "WAX",
      "precision": 8
    },
    "str": "WAX@eosio.token"
  },
  "quote_token": {
    "contract": "prospectorsw",
    "symbol": {
      "name": "PGL",
      "precision": 4
    },
    "str": "PGL@prospectorsw"
  },
  "min_buy": "0.00000100 WAX",
  "min_sell": "0.0001 PGL",
  "frozen": 0,
  "fee": 20,
  "last_price": 0.69298836,
  "volume24": 8158.34775445,
  "volumeWeek": 83217.36892045,
  "volumeMonth": 424104.77220562,
  "change24": 6.28655828220858,
  "changeWeek": 19.27600212758915
}
```

{% endtab %}
{% endtabs %}

## Market deals

<mark style="color:blue;">`GET`</mark> `https://wax.alcor.exchange/api/markets/:id/deals`

Get latest deals

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | number | Market ID   |

#### Query Parameters

| Name  | Type   | Description           |
| ----- | ------ | --------------------- |
| limit | number | Default limit is: 200 |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Charts api

<mark style="color:blue;">`GET`</mark> `https://wax.alcor.exchange/api/markets/:id/charts`

Get candles charts for specific market.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | number | Market ID   |

#### Query Parameters

| Name       | Type   | Description                         |
| ---------- | ------ | ----------------------------------- |
| to         | number | To timestamp                        |
| from       | number | From timestamp                      |
| resolution | string | <p>1/5/15/30/60/240<br>1D/1W/1M</p> |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alcor.exchange/developers-api/api/markets-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
